From 64338817391657bd7d668156ac2c480c651a0fa4 Mon Sep 17 00:00:00 2001
From: Sebastian Pop <spop@amazon.com>
Date: Sat, 10 Jul 2021 17:11:01 +0000
Subject: [PATCH 1/2] use better instruction

---
 source/common/aarch64/ipfilter8.S | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

diff --git a/source/common/aarch64/ipfilter8.S b/source/common/aarch64/ipfilter8.S
index ed6c5f0..a35052e 100644
--- a/source/common/aarch64/ipfilter8.S
+++ b/source/common/aarch64/ipfilter8.S
@@ -1164,8 +1164,7 @@ LUMA_VPS_4xN 16
     sub             v17.4s, v17.4s, v30.4s
     sqxtn           v0.4h, v17.4s
     sub             v18.4s, v18.4s, v30.4s
-    sqxtn           v1.4h, v18.4s
-    trn1            v0.2d, v0.2d, v1.2d
+    sqxtn2          v0.8h, v18.4s
     st1             {v0.16b}, [x7], #16
 
     add             x9, x9, #8
@@ -1280,8 +1279,7 @@ function x265_interp_8tap_vert_ps_12x16_neon
     sub             v17.4s, v17.4s, v30.4s
     sqxtn           v0.4h, v17.4s
     sub             v18.4s, v18.4s, v30.4s
-    sqxtn           v1.4h, v18.4s
-    trn1            v0.2d, v0.2d, v1.2d
+    sqxtn2          v0.8h, v18.4s
     st1             {v0.16b}, [x7], #16
 
     add             x6, x0, #8
@@ -1620,8 +1618,7 @@ CHROMA_VPP 48 64
     sub             v0.4s, v17.4s, v30.4s
     sqxtn           v0.4h, v0.4s
     sub             v1.4s, v18.4s, v30.4s
-    sqxtn           v1.4h, v1.4s
-    trn1            v0.2d, v0.2d, v1.2d
+    sqxtn2          v0.8h, v1.4s
     st1             {v0.16b}, [x7], #16
 
     add             x9, x9, #8
-- 
2.25.1

